Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006844 [DCSS] Bug Report minor always 2013-03-30 21:21 2014-06-15 01:48
Reporter minmay View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.12 ancient branch
Summary 0006844: Vapours almost never fire
Description Vapours' permanent semi-confusion effect causes them to pick a random target square whenever they cast lightning bolt. Usually, nothing they want to hit is in this path...which means the tracer doesn't hit anything and they don't fire. I was actually able to do a 100-turn rest in front of one without it ever shooting. This also causes a lot of spam in debug mode (a couple hundred tracer messages for every one time it actually fires).

This is probably also why ball lightnings would almost never fire back when they had the spell.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0026459)
wheals (administrator)
2014-06-11 18:24

RIP

- Issue History
Date Modified Username Field Change
2013-03-30 21:21 minmay New Issue
2014-06-11 18:24 wheals Note Added: 0026459
2014-06-11 18:24 wheals Status new => resolved
2014-06-11 18:24 wheals Fixed in Branch => 0.15 development branch
2014-06-11 18:24 wheals Resolution open => done
2014-06-11 18:24 wheals Assigned To => wheals
2014-06-15 01:48 minmay Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker